View Issue Details

IDProjectCategoryView StatusLast Update
0032751Open CASCADEOCCT:Codingpublic2022-01-11 17:02
Reporteraml Assigned Toaml  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032751: Coding - get rid of unused headers [AppStd to BndLib]
DescriptionThis ticket is to clear unused headers in the packages from `AppStd` to `BndLib`.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032741 closedbugmaster Coding - get rid of unused headers 

Activities

git

2021-12-26 10:59

administrator   ~0106200

Branch CR32751 has been created by aml.

SHA-1: 06b23dd1da0a6e11606450f4776d6454dd2871e5


Detailed log of new commits:

Author: aml
Date: Sun Dec 26 10:22:25 2021 +0300

    0032751: Coding - get rid of unused headers [AppStd to BndLib]

git

2021-12-27 06:54

administrator   ~0106203

Branch CR32751 has been updated forcibly by aml.

SHA-1: b5b03b1c89837c88776dec443c50360048263d55

git

2021-12-27 07:00

administrator   ~0106204

Branch CR32751 has been updated forcibly by aml.

SHA-1: 8d87d67d58e6196fd0d07949bdfb43d1b9fd1dbf

aml

2021-12-27 09:16

developer   ~0106206

Dear Kirill,

Please take a look at the CR32751 branches.
OCCT - CR32751
Products - CR32751

Jenkins Job:
http://jenkins-test-occt.nnov.opencascade.com/view/CR32751-master-aml2/view/ALL/

kgv

2021-12-27 09:49

developer   ~0106207

 #ifndef _Standard_HeaderFile
-#include <Standard.hxx>
 #endif

Please remove redundant ifdef checks from modified headers.

git

2021-12-27 10:17

administrator   ~0106210

Branch CR32751 has been updated forcibly by aml.

SHA-1: 2f23e4e3a53dcb17de80bebfdbb63d20a0546ef4

aml

2021-12-27 11:12

developer   ~0106212

Fixed.

smoskvin

2021-12-31 12:49

administrator   ~0106251

Combination -
OCCT branch : IR-2021-12-30
master SHA - 16a263dc17600ac13a5110bd7028ba558d1a0700
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-30 SHA - fe496634abbd6a631b6f674703746ef8605cfe87
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18220.12000000046 / 18175.980000000385 [+0.24%]
Products
Total CPU difference: 11659.240000000125 / 11591.590000000113 [+0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19997.15625 / 19974.59375 [+0.11%]
Products
Total CPU difference: 13120.265625 / 13088.65625 [+0.24%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-01-02 13:36

administrator   ~0106259

Branch CR32751 has been deleted by mnt.

SHA-1: 2f23e4e3a53dcb17de80bebfdbb63d20a0546ef4

Related Changesets

occt: master 2f23e4e3

2021-12-26 10:22:25

aml

Details Diff
0032751: Coding - get rid of unused headers [AppStd to BndLib] Affected Issues
0032751
mod - src/ApproxInt/ApproxInt_KnotTools.cxx Diff File
mod - src/ApproxInt/ApproxInt_KnotTools.hxx Diff File
mod - src/ApproxInt/ApproxInt_SvSurfaces.cxx Diff File
mod - src/AppStd/AppStd_Application.hxx Diff File
mod - src/AppStdL/AppStdL_Application.hxx Diff File
mod - src/Aspect/Aspect_AspectFillAreaDefinitionError.hxx Diff File
mod - src/Aspect/Aspect_AspectLineDefinitionError.hxx Diff File
mod - src/Aspect/Aspect_AspectMarkerDefinitionError.hxx Diff File
mod - src/Aspect/Aspect_CircularGrid.hxx Diff File
mod - src/Aspect/Aspect_ColorSpace.hxx Diff File
mod - src/Aspect/Aspect_GenId.hxx Diff File
mod - src/Aspect/Aspect_Grid.hxx Diff File
mod - src/Aspect/Aspect_RectangularGrid.hxx Diff File
mod - src/Aspect/Aspect_ScrollDelta.hxx Diff File
mod - src/Aspect/Aspect_Touch.hxx Diff File
mod - src/Aspect/Aspect_Window.cxx Diff File
mod - src/Aspect/Aspect_WindowInputListener.hxx Diff File
mod - src/BinDrivers/BinDrivers.cxx Diff File
mod - src/BinDrivers/BinDrivers_DocumentRetrievalDriver.cxx Diff File
mod - src/BinDrivers/BinDrivers_DocumentRetrievalDriver.hxx Diff File
mod - src/BinDrivers/BinDrivers_DocumentStorageDriver.cxx Diff File
mod - src/BinDrivers/BinDrivers_DocumentStorageDriver.hxx Diff File
mod - src/BinLDrivers/BinLDrivers.cxx Diff File
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.cxx Diff File
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.hxx Diff File
mod - src/BinLDrivers/BinLDrivers_DocumentSection.cxx Diff File
mod - src/BinLDrivers/BinLDrivers_DocumentSection.hxx Diff File
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.cxx Diff File
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_AsciiStringDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_AsciiStringDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_BooleanArrayDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_BooleanArrayDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_BooleanListDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_ByteArrayDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_ByteArrayDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_ExpressionDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_ExtStringArrayDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_ExtStringArrayDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_ExtStringListDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_GenericEmptyDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_GenericExtStringDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_GenericExtStringDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_IntegerArrayDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_IntegerArrayDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_IntegerDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_IntegerDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_IntegerListDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_IntegerListDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_IntPackedMapDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_IntPackedMapDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_NamedDataDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_NamedDataDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_RealArrayDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_RealArrayDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_RealDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_RealDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_RealListDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_RealListDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_ReferenceArrayDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_ReferenceListDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_TreeNodeDriver.cxx Diff File
mod - src/BinMDataStd/BinMDataStd_TreeNodeDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_UAttributeDriver.hxx Diff File
mod - src/BinMDataStd/BinMDataStd_VariableDriver.hxx Diff File
mod - src/BinMDataXtd/BinMDataXtd.hxx Diff File
mod - src/BinMDataXtd/BinMDataXtd_ConstraintDriver.hxx Diff File
mod - src/BinMDataXtd/BinMDataXtd_GeometryDriver.hxx Diff File
mod - src/BinMDataXtd/BinMDataXtd_PatternStdDriver.hxx Diff File
mod - src/BinMDataXtd/BinMDataXtd_PositionDriver.cxx Diff File
mod - src/BinMDataXtd/BinMDataXtd_PositionDriver.hxx Diff File
mod - src/BinMDataXtd/BinMDataXtd_PresentationDriver.hxx Diff File
mod - src/BinMDataXtd/BinMDataXtd_TriangulationDriver.hxx Diff File
mod - src/BinMDF/BinMDF.cxx Diff File
mod - src/BinMDF/BinMDF_ADriver.hxx Diff File
mod - src/BinMDF/BinMDF_ADriverTable.hxx Diff File
mod - src/BinMDF/BinMDF_ReferenceDriver.hxx Diff File
mod - src/BinMDF/BinMDF_TagSourceDriver.hxx Diff File
mod - src/BinMDocStd/BinMDocStd_XLinkDriver.hxx Diff File
mod - src/BinMFunction/BinMFunction_FunctionDriver.hxx Diff File
mod - src/BinMFunction/BinMFunction_GraphNodeDriver.cxx Diff File
mod - src/BinMFunction/BinMFunction_GraphNodeDriver.hxx Diff File
mod - src/BinMFunction/BinMFunction_ScopeDriver.cxx Diff File
mod - src/BinMFunction/BinMFunction_ScopeDriver.hxx Diff File
mod - src/BinMNaming/BinMNaming_NamedShapeDriver.cxx Diff File
mod - src/BinMNaming/BinMNaming_NamedShapeDriver.hxx Diff File
mod - src/BinMNaming/BinMNaming_NamingDriver.cxx Diff File
mod - src/BinMNaming/BinMNaming_NamingDriver.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc.cxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_AssemblyItemRefDriver.cxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_AssemblyItemRefDriver.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_CentroidDriver.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_ColorDriver.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_DatumDriver.cxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_DatumDriver.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_DimTolDriver.cxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_DimTolDriver.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_GraphNodeDriver.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_LengthUnitDriver.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_LocationDriver.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_MaterialDriver.hxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteBinDataDriver.cxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteCommentDriver.cxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteDriver.cxx Diff File
mod - src/BinMXCAFDoc/BinMXCAFDoc_NoteDriver.hxx Diff File
mod - src/BinObjMgt/BinObjMgt_Persistent.cxx Diff File
mod - src/BinObjMgt/BinObjMgt_Persistent.hxx Diff File
mod - src/BinTObjDrivers/BinTObjDrivers.cxx Diff File
mod - src/BinTObjDrivers/BinTObjDrivers_IntSparseArrayDriver.cxx Diff File
mod - src/BinTObjDrivers/BinTObjDrivers_ModelDriver.cxx Diff File
mod - src/BinTObjDrivers/BinTObjDrivers_ReferenceDriver.cxx Diff File
mod - src/BinTools/BinTools.hxx Diff File
mod - src/BinTools/BinTools_Curve2dSet.cxx Diff File
mod - src/BinTools/BinTools_CurveSet.cxx Diff File
mod - src/BinTools/BinTools_LocationSet.cxx Diff File
mod - src/BinTools/BinTools_LocationSet.hxx Diff File
mod - src/BinTools/BinTools_OStream.cxx Diff File
mod - src/BinTools/BinTools_ShapeReader.cxx Diff File
mod - src/BinTools/BinTools_ShapeSet.cxx Diff File
mod - src/BinTools/BinTools_ShapeWriter.hxx Diff File
mod - src/BinTools/BinTools_SurfaceSet.cxx Diff File
mod - src/BinXCAFDrivers/BinXCAFDrivers.cxx Diff File
mod - src/Bisector/Bisector_Bisec.cxx Diff File
mod - src/Bisector/Bisector_Bisec.hxx Diff File
mod - src/Bisector/Bisector_BisecAna.cxx Diff File
mod - src/Bisector/Bisector_BisecAna.hxx Diff File
mod - src/Bisector/Bisector_BisecCC.cxx Diff File
mod - src/Bisector/Bisector_BisecCC.hxx Diff File
mod - src/Bisector/Bisector_BisecPC.cxx Diff File
mod - src/Bisector/Bisector_BisecPC.hxx Diff File
mod - src/Bisector/Bisector_Curve.hxx Diff File
mod - src/Bisector/Bisector_FunctionInter.hxx Diff File
mod - src/Bisector/Bisector_Inter.cxx Diff File
mod - src/Bisector/Bisector_Inter.hxx Diff File
mod - src/Bisector/Bisector_PointOnBis.hxx Diff File
mod - src/Bisector/Bisector_PolyBis.cxx Diff File
mod - src/Bisector/Bisector_PolyBis.hxx Diff File
mod - src/BiTgte/BiTgte_Blend.cxx Diff File
mod - src/BiTgte/BiTgte_Blend.hxx Diff File
mod - src/BiTgte/BiTgte_CurveOnEdge.cxx Diff File
mod - src/BiTgte/BiTgte_CurveOnEdge.hxx Diff File
mod - src/BiTgte/BiTgte_CurveOnVertex.cxx Diff File
mod - src/BiTgte/BiTgte_CurveOnVertex.hxx Diff File
mod - src/Blend/Blend_AppFunction.cxx Diff File
mod - src/Blend/Blend_AppFunction.hxx Diff File
mod - src/Blend/Blend_CSFunction.cxx Diff File
mod - src/Blend/Blend_CSFunction.hxx Diff File
mod - src/Blend/Blend_CurvPointFuncInv.cxx Diff File
mod - src/Blend/Blend_CurvPointFuncInv.hxx Diff File
mod - src/Blend/Blend_FuncInv.cxx Diff File
mod - src/Blend/Blend_Function.cxx Diff File
mod - src/Blend/Blend_Function.hxx Diff File
mod - src/Blend/Blend_Point.cxx Diff File
mod - src/Blend/Blend_Point.hxx Diff File
mod - src/Blend/Blend_RstRstFunction.cxx Diff File
mod - src/Blend/Blend_RstRstFunction.hxx Diff File
mod - src/Blend/Blend_SurfCurvFuncInv.cxx Diff File
mod - src/Blend/Blend_SurfCurvFuncInv.hxx Diff File
mod - src/Blend/Blend_SurfPointFuncInv.cxx Diff File
mod - src/Blend/Blend_SurfPointFuncInv.hxx Diff File
mod - src/Blend/Blend_SurfRstFunction.cxx Diff File
mod - src/Blend/Blend_SurfRstFunction.hxx Diff File
mod - src/BlendFunc/BlendFunc.cxx Diff File
mod - src/BlendFunc/BlendFunc_Chamfer.cxx Diff File
mod - src/BlendFunc/BlendFunc_Chamfer.hxx Diff File
mod - src/BlendFunc/BlendFunc_ChamfInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_ChAsym.cxx Diff File
mod - src/BlendFunc/BlendFunc_ChAsym.hxx Diff File
mod - src/BlendFunc/BlendFunc_ChAsymInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_ChAsymInv.hxx Diff File
mod - src/BlendFunc/BlendFunc_ConstRad.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstRad.hxx Diff File
mod - src/BlendFunc/BlendFunc_ConstRadInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroat.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroat.hxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroatInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroatWithPenetration.cxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroatWithPenetration.hxx Diff File
mod - src/BlendFunc/BlendFunc_ConstThroatWithPenetrationInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_Corde.cxx Diff File
mod - src/BlendFunc/BlendFunc_CSCircular.cxx Diff File
mod - src/BlendFunc/BlendFunc_CSConstRad.cxx Diff File
mod - src/BlendFunc/BlendFunc_EvolRad.cxx Diff File
mod - src/BlendFunc/BlendFunc_EvolRad.hxx Diff File
mod - src/BlendFunc/BlendFunc_EvolRadInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_GenChamfer.cxx Diff File
mod - src/BlendFunc/BlendFunc_GenChamfer.hxx Diff File
mod - src/BlendFunc/BlendFunc_GenChamfInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_GenChamfInv.hxx Diff File
mod - src/BlendFunc/BlendFunc_Ruled.cxx Diff File
mod - src/BlendFunc/BlendFunc_RuledInv.cxx Diff File
mod - src/BlendFunc/BlendFunc_Tensor.cxx Diff File
mod - src/BlendFunc/BlendFunc_Tensor.hxx Diff File
mod - src/Bnd/Bnd_B2f.hxx Diff File
mod - src/Bnd/Bnd_B3f.hxx Diff File
mod - src/Bnd/Bnd_BoundSortBox.hxx Diff File
mod - src/Bnd/Bnd_BoundSortBox2d.cxx Diff File
mod - src/Bnd/Bnd_BoundSortBox2d.hxx Diff File
mod - src/Bnd/Bnd_Box.cxx Diff File
mod - src/Bnd/Bnd_Box.hxx Diff File
mod - src/Bnd/Bnd_Box2d.cxx Diff File
mod - src/Bnd/Bnd_HArray1OfBox2d.hxx Diff File
mod - src/Bnd/Bnd_HArray1OfSphere.hxx Diff File
mod - src/Bnd/Bnd_OBB.hxx Diff File
mod - src/Bnd/Bnd_Range.hxx Diff File
mod - src/Bnd/Bnd_Sphere.hxx Diff File
mod - src/BndLib/BndLib.cxx Diff File
mod - src/BndLib/BndLib_Add2dCurve.cxx Diff File
mod - src/BndLib/BndLib_Add2dCurve.hxx Diff File
mod - src/BndLib/BndLib_Add3dCurve.cxx Diff File
mod - src/BndLib/BndLib_Add3dCurve.hxx Diff File
mod - src/BndLib/BndLib_AddSurface.cxx Diff File
mod - src/BndLib/BndLib_AddSurface.hxx Diff File

occt-products: master fe496634

2021-12-27 07:39:55

aml

Details Diff
0032751: Coding - get rid of unused headers [AppStd to BndLib] Affected Issues
0032751
mod - diff Diff File

Issue History

Date Modified Username Field Change
2021-12-26 10:57 aml New Issue
2021-12-26 10:57 aml Assigned To => aml
2021-12-26 10:58 aml Relationship added child of 0032741
2021-12-26 10:59 git Note Added: 0106200
2021-12-27 06:54 git Note Added: 0106203
2021-12-27 07:00 git Note Added: 0106204
2021-12-27 09:16 aml Assigned To aml => kgv
2021-12-27 09:16 aml Status new => resolved
2021-12-27 09:16 aml Note Added: 0106206
2021-12-27 09:49 kgv Assigned To kgv => aml
2021-12-27 09:49 kgv Severity minor => integration request
2021-12-27 09:49 kgv Status resolved => assigned
2021-12-27 09:49 kgv Steps to Reproduce Updated
2021-12-27 09:49 kgv Test case number => N/A
2021-12-27 09:49 kgv Note Added: 0106207
2021-12-27 10:17 git Note Added: 0106210
2021-12-27 11:12 aml Assigned To aml => kgv
2021-12-27 11:12 aml Status assigned => resolved
2021-12-27 11:12 aml Note Added: 0106212
2021-12-27 11:18 kgv Assigned To kgv => bugmaster
2021-12-27 11:18 kgv Status resolved => reviewed
2021-12-31 12:49 smoskvin Status reviewed => tested
2021-12-31 12:49 smoskvin Note Added: 0106251
2022-01-02 13:24 aml Changeset attached => occt master 2f23e4e3
2022-01-02 13:24 aml Assigned To bugmaster => aml
2022-01-02 13:24 aml Status tested => verified
2022-01-02 13:24 aml Resolution open => fixed
2022-01-02 13:24 aml Changeset attached => occt-products master fe496634
2022-01-02 13:36 git Note Added: 0106259
2022-01-11 17:02 aml Relationship added parent of 0032768
2022-01-11 17:02 aml Relationship deleted parent of 0032768